Trả về danh sách lệnh khớp trong phiên của 1 mã chứng khoán
curl --request GET \
--url https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/executions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/executions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/executions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/executions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/executions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/executions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"instrument": "<string>",
"instrumentItem": {
"instrument": "<string>",
"symbol": "<string>",
"name": "<string>",
"exchange": "<string>",
"unit": 123,
"type": "<string>",
"supportStopOrder": true,
"supportLimitOrder": true
},
"price": 123,
"time": 123,
"qty": 123,
"side": "<string>"
}
]Executions
Trả về danh sách lệnh khớp trong phiên của 1 mã chứng khoán
GET
/
broker-users
/
{userId}
/
accounts
/
{accountId}
/
executions
Trả về danh sách lệnh khớp trong phiên của 1 mã chứng khoán
curl --request GET \
--url https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/executions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/executions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/executions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/executions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/executions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/executions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"instrument": "<string>",
"instrumentItem": {
"instrument": "<string>",
"symbol": "<string>",
"name": "<string>",
"exchange": "<string>",
"unit": 123,
"type": "<string>",
"supportStopOrder": true,
"supportLimitOrder": true
},
"price": 123,
"time": 123,
"qty": 123,
"side": "<string>"
}
]Ủy quyền
OAuth2 Implicit Grant
Tham số đường dẫn
Id của user đã kết nối vào tài khoản FireAnt
Id tài khoản tại công ty chứng khoán của user
Tham số truy vấn
Mã chứng khoán
Số lượng bản ghi tối đa